IFM(6)

NAME
IFM - Interactive Fiction Mapper

SYNOPSIS
ifm [options] [file...]

DESCRIPTION
IFM is a program for keeping track of your progress through an Interactive Fiction game. You can record each room you visit and its relation to other rooms, the initial locations of useful items you find, and the tasks you need to perform in order to solve the game. The IFM mapping commands are designed so that you can easily add to the map as you explore the game. You type in the rooms you visit and the directions you move in to reach other rooms, and IFM calculates the position of each room relative to the others. A map can consist of several independent sections, allowing you to divide up the map however you like. The IFM task commands, if used, allow you to specify the order in which game-solving tasks must be done. The IFM program can then calculate and print different styles of walkthrough for the game. IFM can write hardcopy maps directly to PostScript, suitable for printing or viewing. It can also write maps in Fig format, which can be viewed and edited using Xfig, or converted into many other formats. This man page just presents a summary of the command-line options. Online documentation on how to use IFM can be found in the SEE ALSO section.

  Output options:

-m, -map[=sections]
    Select map output

-i, -items
    Select item output

-t, -tasks
    Select task output

-f, -format <name>
    Select output format

-o, -output <file>
    Write output to specified file

  Auxiliary options:

-I (dir)
    Prepend directory to search path

-S, -style (name)
    Push a style onto the style list

-s, -set (var=val)
    Set a customization variable

-noinit
    Don't read personal init file

-w, -nowarn
    Don't print warnings

-e, -errors <num>
    Max errors before giving up (default: 10)

  Information options:

-show <type>
    Show information

-v, -version
    Print program version

-h, -help
    This help message

  Output formats (may be abbreviated):

ps  PostScript

fig Fig drawing commands

text
    Nicely-formatted ASCII text

rec Recording of game commands

dot Graph of task dependencies

raw Raw ASCII text fields

tk  Tcl/Tk program commands (tkifm)

  Show options (may be abbreviated):

maps
    Show map sections

vars
    Show defined variables

path
    Show file search path

ENVIRONMENT

IFMPATH
    Colon-separated list of extra directories to search for include files.

FILES

$HOME/.ifmrc
    User resource file.

$HOME/ifm.ini
    Alternate resource filename (Windows-style).

COPYRIGHT
Copyright © Glenn Hutchings <zondo42@googlemail.com>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

SEE ALSO
xfig(1), fig2dev(1), dot(1)

/usr/doc/ifm-5.4/ifm/index.html
    IFM manual